> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Secret Dependencies By Type

> Get paginated list of resources that depend on a specific secret, filtered by resource type.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/secrets/{secret_id}/dependencies/{resource_type}
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/secrets/{secret_id}/dependencies/{resource_type}:
    get:
      tags:
        - Agents Platform
      summary: Get Secret Dependencies By Type
      description: >-
        Get paginated list of resources that depend on a specific secret,
        filtered by resource type.
      operationId: get_secret_dependencies_route
      parameters:
        - name: secret_id
          in: path
          required: true
          schema:
            type: string
            title: Secret Id
        - name: resource_type
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/SecretDependencyResourceType'
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: How many dependency items to return per page.
            default: 20
            title: Page Size
          description: How many dependency items to return per page.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Used for fetching next page. Cursor is returned in the response.
            title: Cursor
          description: Used for fetching next page. Cursor is returned in the response.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSecretDependenciesResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SecretDependencyResourceType:
      type: string
      enum:
        - tools
        - agents
        - phone_numbers
      title: SecretDependencyResourceType
    GetSecretDependenciesResponseModel:
      properties:
        dependencies:
          anyOf:
            - items:
                oneOf:
                  - $ref: '#/components/schemas/DependentAvailableToolIdentifier'
                  - $ref: '#/components/schemas/DependentUnknownToolIdentifier'
                discriminator:
                  propertyName: type
                  mapping:
                    available:
                      $ref: '#/components/schemas/DependentAvailableToolIdentifier'
                    unknown:
                      $ref: '#/components/schemas/DependentUnknownToolIdentifier'
              type: array
            - items:
                oneOf:
                  - $ref: '#/components/schemas/DependentAvailableAgentIdentifier'
                  - $ref: '#/components/schemas/DependentUnknownAgentIdentifier'
                discriminator:
                  propertyName: type
                  mapping:
                    available:
                      $ref: '#/components/schemas/DependentAvailableAgentIdentifier'
                    unknown:
                      $ref: '#/components/schemas/DependentUnknownAgentIdentifier'
              type: array
            - items:
                $ref: '#/components/schemas/DependentPhoneNumberIdentifier'
              type: array
          title: Dependencies
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Cursor for fetching the next page of dependencies
      type: object
      required:
        - dependencies
      title: GetSecretDependenciesResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DependentAvailableToolIdentifier:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          const: available
          title: Type
          default: available
        created_at_unix_secs:
          type: integer
          title: Created At Unix Secs
        access_level:
          type: string
          enum:
            - admin
            - editor
            - commenter
            - viewer
          title: Access Level
      type: object
      required:
        - id
        - name
        - created_at_unix_secs
        - access_level
      title: DependentAvailableToolIdentifier
    DependentUnknownToolIdentifier:
      properties:
        type:
          type: string
          const: unknown
          title: Type
          default: unknown
        id:
          type: string
          title: Id
      type: object
      required:
        - id
      title: DependentUnknownToolIdentifier
      description: |-
        A model that represents an tool dependent on a knowledge base/tools
        to which the user has no direct access.
    DependentAvailableAgentIdentifier:
      properties:
        referenced_resource_ids:
          items:
            type: string
          type: array
          title: Referenced Resource Ids
          description: >-
            If the agent is a transitive dependent, contains IDs of the
            resources that the agent depends on directly.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          const: available
          title: Type
          default: available
        created_at_unix_secs:
          type: integer
          title: Created At Unix Secs
        access_level:
          type: string
          enum:
            - admin
            - editor
            - commenter
            - viewer
          title: Access Level
      type: object
      required:
        - id
        - name
        - created_at_unix_secs
        - access_level
      title: DependentAvailableAgentIdentifier
    DependentUnknownAgentIdentifier:
      properties:
        referenced_resource_ids:
          items:
            type: string
          type: array
          title: Referenced Resource Ids
          description: >-
            If the agent is a transitive dependent, contains IDs of the
            resources that the agent depends on directly.
        id:
          type: string
          title: Id
        type:
          type: string
          const: unknown
          title: Type
          default: unknown
      type: object
      required:
        - id
      title: DependentUnknownAgentIdentifier
      description: |-
        A model that represents an agent dependent on a knowledge base/tools
        to which the user has no direct access.
    DependentPhoneNumberIdentifier:
      properties:
        phone_number_id:
          type: string
          title: Phone Number Id
        phone_number:
          type: string
          title: Phone Number
        label:
          type: string
          title: Label
        provider:
          type: string
          enum:
            - managed_pstn
            - sip_trunk
          title: Provider
      type: object
      required:
        - phone_number_id
        - phone_number
        - label
        - provider
      title: DependentPhoneNumberIdentifier
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````